Summary:	Lexmark printer management commands
Name:		lxcontrol
Version:	1.3
Release:	%mkrel 28
License:	GPL
BuildArch:	noarch
Group:		System/Printing
# These URLs are no longer valid
Source:		http://www.powerup.com.au/~pbwest/lexmark/lexmark.html/lxcontrol.tar.bz2
Source1:	http://209.233.17.85/lexmark/lm1100maint.tar.bz2
Source2:	https://bimbo.fjfi.cvut.cz/~paluch/l7kdriver/changecartridge
Source3:	README.changecartridge
Source4:	README.Lexmark-Maintenance
Source5:	lx.control.sh
Patch0:		lxcontrol-lx.control-cups.patch
Requires:	cups

%description
Tools for showing and hiding cartridges, and aligning and cleaning heads in a
Lexmark printer. Used with Lexmark 5xxx, 7xxx and 11xx, possible with others.

%prep

%setup -q -n %{name}
%setup -q -n %{name} -a 1 -T -D
cp %{SOURCE2} changecartridge
mv README.Lexmark README.Lexmark5xxx_7xxx
mv lm1100maint/README README.Lexmark1xxx
cp %{SOURCE3} .
cp %{SOURCE4} .
%patch -P 0 -p1

%build
#nothing

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/lxcontrol
install -d %{buildroot}%{_datadir}/lm1100maint
install -d %{buildroot}%{_datadir}/applications

# Lexmark printer maintenance
# Program and data files
install -m 755 lx.control %{buildroot}%{_bindir}/
install -m 755 %{SOURCE5} %{buildroot}%{_bindir}/
install -m 755 lm1100maint/lm1100change %{buildroot}%{_bindir}/
install -m 755 lm1100maint/lm1100back %{buildroot}%{_bindir}/
install -m 755 changecartridge %{buildroot}%{_bindir}/
cp -f *.out %{buildroot}%{_datadir}/lxcontrol/
( cd %{buildroot}%{_bindir}
  ln -s lx.control headclean
  ln -s lx.control headalign
  ln -s lx.control showcartridges
  ln -s lx.control hidecartridges
  ln -s lx.control.sh headclean.sh
  ln -s lx.control.sh headalign.sh
  ln -s lx.control.sh showcartridges.sh
  ln -s lx.control.sh hidecartridges.sh
)
cp -f lm1100maint/lexmark* \
	%{buildroot}%{_datadir}/lm1100maint/

# XDG menu
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-headalign.desktop << EOF
[Desktop Entry]
Name=Lexmark headalign
Name[cs]=Zarovnání hlav Lexmark
Name[cy]=Alinio Pen Argraffu Lexmark
Name[et]=Lexmarki trükipea joondaja
Name[fr]=Calibreur de têtes Lexmark
Name[hu]=Fej-igazító Lexmark készülékekhez
Name[nb]=Lexmark skrivehodejusterer
Name[nn]=Lexmark skrivehovudjustering
Name[pl]=Kalibracja Lexmark
Name[pt]=Alinhar cabeças Lexmark
Name[ru]=Выравнивание головки, калибровка Lexmark
Name[sl]=Poravnava glav za Lexmark
Name[tr]=Lexmark hizalama
GenericName=Lexmark Head Aligner
GenericName[cs]=Zarovnání hlav pro Lexmark
GenericName[fr]=Calibreur de têtes pour imprimantes Lexmark
GenericName[hu]=Fej-igazító Lexmark típusokhoz
GenericName[it]=Allineamento testine per Lexmark
GenericName[nl]=Koppen uitlijnen van Lexmark printers
GenericName[nn]=Skrivhovudjustering for Lexmark
GenericName[pt]=Alinhador de cabeças Lexmark
GenericName[pt_BR]=Alinhador das cabeças de impressão para Lexmark
GenericName[ru]=Выравнивание головки, калибровка для Lexmark
Comment=Lexmark 5xxx, 7xxx and 11xx Head Aligner
Comment[cs]=Zarovnání hlav pro Lexmark 5xxx, 7xxx a 11xx
Comment[cy]=Alinio Pen Argraffu Lexmark 5xxx, 7xxx a 11xx
Comment[et]=Lexmark 5xxx, 7xxx and 11xx trükipea joondaja
Comment[fr]=Calibreur de têtes pour imprimantes Lexmark 5xxx 7xxx et 11xx
Comment[hu]=Fej-igazító Lexmark 5xxx, 7xxx és 11xx típusokhoz
Comment[it]=Allineamento testine per Lexmark 5xxx, 7xxx e 11xx
Comment[nb]=Lexmark 5xxx, 7xxx og 11xx skrivehodejusterer
Comment[nl]=Koppen uitlijnen van Lexmark 5xxx, 7xxx en 11xx-printers
Comment[nn]=Skrivhovudjustering for Lexmark 5xxx, 7xxx og 11xx
Comment[pl]=Kalibracja Lexmark 5xxx, 7xxx i 11xx
Comment[pt]=Alinhador de cabeças Lexmark 5xxx, 7xxx e 11xx
Comment[pt_BR]=Alinhador das cabeças de impressão para Lexmark 5xxx, 7xxx e 11xx
Comment[ru]=Выравнивание головки, калибровка для Lexmark 5xxx, 7xxx и 11xx
Comment[sl]=Poravnava glav za Lexmark 5xxx, 7xxx in 11xx
Comment[tr]=Lexmark 5xxx, 7xxx and 11xx Hizalama
Exec=%{_bindir}/headalign.sh
Icon=printer
Terminal=false
Type=Application
Categories=Printing;HardwareSettings;Settings;
EOF

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-headclean.desktop << EOF
[Desktop Entry]
Name=Lexmark headclean
Name[cs]=Čištění hlav Lexmark
Name[cy]=Glanhau Pen Argraffu Lexmark
Name[et]=Lexmarki trükipea puhastaja
Name[fr]=Nettoyeur de têtes Lexmark
Name[hu]=Fejtisztító Lexmark készülékekhez
Name[nb]=Lexmark skrivehoderenser
Name[nn]=Lexmark skrivehovudrensing
Name[pl]=Konserwacja Lexmark
Name[pt]=Limpar cabeças Lexmark
Name[ru]=Очистка головки Lexmark
Name[sl]=Čiščenje glav za Lexmark
Name[tr]=Lexmark temizleme
GenericName=Lexmark Head Cleaner
GenericName[fr]=Nettoyeur de têtes pour imprimantes Lexmark
GenericName[hu]=Fejtisztító Lexmark típusokhoz
GenericName[it]=Pullizia testine per Lexmark
GenericName[nl]=Koppen schoonmaken van Lexmark printers
GenericName[nn]=Skrivhovudrensing for Lexmark
GenericName[pt]=Limpador de cabeças Lexmark
GenericName[pt_BR]=Limpeza das cabeças de impressão para Lexmark
GenericName[ru]=Очистка головки для Lexmark
Comment=Lexmark 5xxx, 7xxx and 11xx Head Cleaner
Comment[cs]=Čištění hlav Lexmark 5xxx, 7xxx a 11xx
Comment[cy]=Glanhau Pen Argraffu Lexmark 5xxx, 7xxx and 11xx
Comment[et]=Lexmark 5xxx, 7xxx and 11xx trükipea puhastaja
Comment[fr]=Nettoyeur de têtes pour imprimantes Lexmark 5xxx 7xxx et 11xx
Comment[hu]=Fejtisztító Lexmark 5xxx, 7xxx és 11xx típusokhoz
Comment[it]=Pullizia testine per Lexmark 5xxx, 7xxx e 11xx
Comment[nb]=Lexmark 5xxx, 7xxx og 11xx skrivehoderenser
Comment[nl]=Koppen schoonmaken van Lexmark 5xxx, 7xxx en 11xx-printers
Comment[nn]=Skrivhovudrensing for Lexmark 5xxx, 7xxx og 11xx
Comment[pl]=Konserwacja Lexmark 5xxx, 7xxx i 11xx
Comment[pt]=Limpador de cabeças Lexmark 5xxx, 7xxx e 11xx
Comment[pt_BR]=Limpeza das cabeças de impressão para Lexmark 5xxx, 7xxx e 11xx
Comment[ru]=Очистка головки для Lexmark 5xxx, 7xxx и 11xx
Comment[sl]=Čiščenje glav za Lexmark 5xxx, 7xxx in 11xx
Comment[tr]=Lexmark 5xxx, 7xxx and 11xx Temizleme
Exec=%{_bindir}/headclean.sh
Icon=printer
Terminal=false
Type=Application
Categories=Printing;HardwareSettings;Settings;
EOF

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-hidecartridges.desktop << EOF
[Desktop Entry]
Name=Lexmark hidecartridges
Name[cs]=Schování kazet Lexmark
Name[cy]=Cuddio Cetrys Lexmark
Name[et]=Lexmarki kasseti varjaja
Name[hu]=Patron-elrejtő Lexmark készülékekhez
Name[pl]=Obsługa kardridży Lexmark
Name[ru]=Скрыть картриджи Lexmark
Name[tr]=Lexmark kartuşlarısakla
GenericName=Lexmark Cartridges Hider
GenericName[fr]=Cache l'état des cartouches des Lexmark
GenericName[hu]=Patron-elrejtő Lexmark típusokhoz
GenericName[nb]=Lexmark blekkpatron/lasertoner-skjuler
GenericName[nl]=Cartridges verbergen van Lexmark printers
GenericName[pt_BR]=Desabilita cartuchos de impressão para Lexmark
GenericName[ru]=Скрыть картриджи для Lexmark
Comment=Lexmark 5xxx, 7xxx and 11xx Cartridges Hider
Comment[cs]=Schování kazet Lexmark 5xxx, 7xxx a 11xx
Comment[cy]=Cuddio Cetrys Lexmark 5xxx, 7xxx and 11xx
Comment[et]=Lexmark 5xxx, 7xxx and 11xx kasseti varjaja
Comment[fr]=Cache l'état des cartouches des Lexmark 5xxx, 7xxx and 11xx
Comment[hu]=Patron-elrejtő Lexmark 5xxx, 7xxx és 11xx típusokhoz
Comment[nb]=Lexmark 5xxx, 7xxx og 11xx blekkpatron/lasertoner-skjuler
Comment[nl]=Cartridges verbergen van Lexmark 5xxx, 7xxx en 11xx-printers
Comment[pl]=Obsługa kardridży Lexmark 5xxx, 7xxx i 11xx
Comment[pt_BR]=Desabilita cartuchos de impressão para Lexmark 5xxx, 7xxx e 11xx
Comment[ru]=Скрыть картриджи для Lexmark 5xxx, 7xxx и 11xx
Exec=%{_bindir}/hidecartridges.sh
Icon=printer
Terminal=false
Type=Application
Categories=Printing;HardwareSettings;Settings;
EOF

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-showcartridges.desktop << EOF
[Desktop Entry]
Name=Lexmark showcartridges
Name[cs]=Zobrazení kazet Lexmark
Name[cy]=Edrych ar Getrys Lexmark
Name[et]=Lexmarki kasseti näitaja
Name[hu]=Patron-megjelenítő Lexmark készülékekhez
Name[pl]=Stan kardridży drukarek Lexmark
Name[ru]=Показать картриджи Lexmark
GenericName=Lexmark Cartridges Viewer
GenericName[fr]=Affiche l'état des cartouches des Lexmark
GenericName[hu]=Patron-megjelenítő Lexmark típusokhoz
GenericName[nl]=Cartridges bekijken van Lexmark printers
GenericName[pt_BR]=Visualiza cartuchos de impressão para Lexmark
GenericName[ru]=Показать картриджи для Lexmark
Comment=Lexmark 5xxx, 7xxx and 11xx Cartridges Viewer
Comment[cs]=Zobrazení kazet Lexmark 5xxx, 7xxx a 11xx
Comment[cy]=Edrych ar Getrys Lexmark 5xxx, 7xxx and 11xx
Comment[et]=Lexmark 5xxx, 7xxx and 11xx kasseti näitaja
Comment[fr]=Affiche l'état des cartouches des Lexmark 5xxx, 7xxx and 11xx
Comment[hu]=Patron-megjelenítő Lexmark 5xxx, 7xxx és 11xx típusokhoz
Comment[nl]=Cartridges bekijken van Lexmark 5xxx, 7xxx en 11xx-printers
Comment[pl]=Stan kardridży drukarek Lexmark 5xxx, 7xxx i 11xx
Comment[pt_BR]=Visualiza cartuchos de impressão para Lexmark 5xxx, 7xxx e 11xx
Comment[ru]=Показать картриджи для Lexmark 5xxx, 7xxx и 11xx
Exec=%{_bindir}/showcartridges.sh
Icon=printer
Terminal=false
Type=Application
Categories=Printing;HardwareSettings;Settings;
EOF

%files
%{_bindir}/*
%{_datadir}/lm1100maint
%{_datadir}/lxcontrol
%{_datadir}/applications/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.3-28.mga10
+ Revision: 2232027
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 1.3-27.mga10
+ Revision: 2127825
- Rebuild for patchN deprecation

* Sun Mar 20 2022 umeabot <umeabot> 1.3-26.mga9
+ Revision: 1801764
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3-25.mga8
+ Revision: 1491655
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.3-24.mga7
+ Revision: 1263625
- Mageia 7 Mass Rebuild

* Sat May 06 2017 martinw <martinw> 1.3-23.mga6
+ Revision: 1099281
- set fixed path to lpc in Conectiva utilities
  o allows them to work when /usr/sbin is not in $PATH

* Tue Apr 25 2017 martinw <martinw> 1.3-22.mga6
+ Revision: 1097290
- fix failure to run when started from menu (mga#20702)
- fail gracefully when no printers are found

* Tue Feb 09 2016 umeabot <umeabot> 1.3-21.mga6
+ Revision: 951896
- Mageia 6 Mass Rebuild

* Fri Jan 09 2015 alexl <alexl> 1.3-20.mga5
+ Revision: 809633
- updated desktop files (deleted duplicates, added GenericName)

* Wed Nov 19 2014 alexl <alexl> 1.3-19.mga5
+ Revision: 797884
- changed icon
- translated desktop files

* Wed Oct 15 2014 umeabot <umeabot> 1.3-18.mga5
+ Revision: 748468
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-17.mga5
+ Revision: 682064
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 fwang <fwang> 1.3-16.mga5
+ Revision: 665890
- this is a noarch package acturally

* Wed Aug 20 2014 fwang <fwang> 1.3-15.mga5
+ Revision: 665879
- cleanup category

* Fri Oct 18 2013 umeabot <umeabot> 1.3-14.mga4
+ Revision: 507623
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3-13.mga3
+ Revision: 359151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 02 2011 mikala <mikala> 1.3-12.mga1
+ Revision: 94275
+ rebuild (emptylog)

* Mon May 02 2011 mikala <mikala> 1.3-11.mga1
+ Revision: 94274
- Fix desktop file name (missing %% in the _real_vendor macro)

* Tue Apr 26 2011 wally <wally> 1.3-10.mga1
+ Revision: 91764
- fix desktop file names (mga#954)
- drop buildroot definition

* Thu Feb 24 2011 ennael <ennael> 1.3-9.mga1
+ Revision: 58819
- clean spec file
- imported package lxcontrol


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-9mdv2011.0
+ Revision: 606436
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-8mdv2010.1
+ Revision: 521149
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3-7mdv2010.0
+ Revision: 426020
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.3-6mdv2009.0
+ Revision: 223135
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.3-5mdv2008.1
+ Revision: 152888
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.3-4mdv2008.1
+ Revision: 152887
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-3mdv2008.0
+ Revision: 75343
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdv2008.0
+ Revision: 64163
- use the new System/Printing RPM GROUP

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2008.0
+ Revision: 61614
- Import lxcontrol



* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-1mdv2008.0
- initial Mandriva package

* Thu May 27 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-05-27 11:18:35 (61474)
- Fix translations.

* Thu May 27 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-05-27 10:47:52 (61470)
- Fix buildroot.

* Thu May 27 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-05-27 10:45:24 (61469)
- Updated .desktop Comment's so that they inform the printer the util is
  built for.

* Thu May 27 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-05-27 10:39:29 (61468)
- Added graphical interface to the tools. Closes: #12216

* Sat May 08 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-05-08 19:14:24 (59811)
- Put back %%{_bindir} to %%files section.

* Fri May 07 2004 Wanderlei Antonio Cavassin <cavassin@conectiva.com.br>
+ 2004-05-07 21:49:31 (59766)
- Removed old menu support

* Mon Mar 01 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-03-01 09:24:44 (50559)
- Added patch lx.control-cups, which makes lx.control correctly see
  our cups' lpc command.
- Removed the Requires for printer-utils
- Added Requires to cups, since it's the only required package to this
  one works.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 18:19:33 (8651)
- Imported package from 8.0.
